package com.adealink.weparty.network

enum class ServerCode(val code: Int) {
    COMMON_OP_ERROR(500), //后端通用操作失败
    TOKEN_EXPIRE(501), //token过期
    NO_PERMISSION(502), //没有权限
    NOT_REGISTER(503), //未注册
    HAS_REGISTER_WITHOUT_PASSWORD(504),//已注册、没有设置密码
    ROOM_ALREADY_CREATE(505), //房间已创建
    INVALID_PARAM(506), //存在无效参数
    SERVER_EXCEPTION(507), //后端异常
    NOT_IN_ROOM(508), //用户不在房
    USER_NO_ROOM(510), //用户没有创建房间
    INVALID_ROOM_ID(511), //无效的房间ID
    ROOM_CHAT_MUTE(513), //房间禁言
    ROOM_MIC_UNABLE(514), //麦位资源不可用
    GIFT_INVALID(517), //无效的礼物
    CURRENCY_NOT_ENOUGH(518), //用户余额不足
    MESSAGE_NO_MORE_NEW(524), //没有更多消息
    INVALID_UID(525), //无效的用户ID
    LOGIN_REGISTER_LIMIT(527), //同一个设备注册多个账号限制
    UN_CONFIG(528), //未配置
    NO_EXIST(531), //查不到相关记录
    INVITE_YOURSELF(533), //不能邀请自己
    INVITE_REPEAT(536), //不能重复邀请
    USER_BANNED(538), //用户被封禁
    FOLLOW_BE_BLACK(539), //关注对方但是被拉黑
    GOODS_EXPIRED(540), //商品已经过期
    ALREADY_IN_USE(546), //商品已经在使用中了
    HAS_SENSITIVE_WORD(542), //存在敏感词
    ILLEGAL_PICTURE(543), //违规图片
    OPERATION_LIMIT(544), //操作次数受限
    ACCOUNT_DELETE(555),//账号已删除
    UPDATE_BIRTHDAY_LIMIT(556),//更新生日受限
    NO_IN_BETTING_TIME(560), //未到下注时间
    GAME_PEOPLE_LIME(561), //游戏人数已满
    BETTING_IS_WEED_OUT(562), //你已被淘汰，不能下注
    VIP_MIC_LIMIT(562), // 非vip4无法开启超级麦位
    VIP_GIFT_LIMIT(564), // 非vip无法送vip礼物
    OP_COUNT_LIMIT(565), //次数限制
    MODIFY_IN_PROGRESS(569), //游戏过程中修改设置
    OP_MIC_OPEN_FAIL_FOR_USER_MUTE(571), //用户已主动闭麦，无法打开
    OP_USER_LIMIT(572), //使用次数限制(如:只能送出一个礼物)
    OP_ACTION_LIMIT(578), //操作频率限制(如:需要间隔一段时间才能再送下一个礼物)
    MESSAGE_COMPETITIVE_KEYWORDS(590), //不能发送竞品关键词
    ROOM_PASSWORD_VERIFY_FAILED(702), //密码房权限校验失败
    ROOM_NO_MORE_PASSWORD_CHANCE(706),//密码房进房密码试错次数已经用完,不能再进密码房
    ROOM_JOIN_NEED_PASSWORD(707), //进房需要密码
    PUNISH_ANCHOR(711), //不能处罚主播
    PUNISH_HIGH_LEVEL_USER(712), //不能处罚高等级用户
    PUNISH_OVER_LIMIT(713), //处罚超过限制次数
    INTIMACY_OVER_CP(715), //已经有cp
    INTIMACY_OVER_FRIEND(716), //朋友数量超过上限
    FAMILY_ALREADY_HAD(721), //已有家族
    FAMILY_MEMBER_OVER_LIMIT(722), //家族成员数超过上限
    FAMILY_DUPLICATE_NAME(723), //家族名重复
    FAMILY_LEVEL_LIMIT(724), //加入家族等级不够
    MESSAGE_UN_FOLLOW_YOU_LIMIT_SEND(800), //由于对方未关注自己，所以IM消息发送受限
    MESSAGE_UN_FOLLOW_YOU_CAN_SEND(801), //由于对方未关注自己，所以IM消息将会触发限制，实际仍然可以发送
    MESSAGE_LOW_LEVEL_YOU_LIMIT_SEND(804), //等级过低,不能发送私信
    RED_PACKET_GRAB_UNABLE(910), //此红包无法抢了
    RED_PACKET_GRAB_COMPLETE(911), //红包被抢完了
    RED_PACKET_HAS_GRABBED(912), //红包已经抢过了
    GOOD_ALREADY_SOLD(915), //商品已出售
    GOOD_INVALID(916), //商品无效
    GIFT_GOOD_ID_OCCUPY(917),//靓号已经被占用
    INVALID_VERIFY_CODE(920), //无效的验证码
    DEVICE_OPERATION_LIMIT(921),//设备操作受限
    PASSWORD_ERROR(922), //登录密码错误
    PASSWORD_ERROR_TOO_FREQUENTLY(923), //登录密码错误太多次
    FUNCTION_BLOCK(553),//功能被封
    VERIFY_CODE_LIMIT(924),//同一个账户验证码发送受限
    MUST_SET_LABEL_BEFORE_MATCH(926), //继续匹配需要完善个人标签
    NO_CHANCE_TO_MATCH(927), //匹配机会已经使用完
    MATCH_ORDER_COMPLETED(928), //匹配订单已完成（取消或已被接单）
    NO_FREE_MATCH_TIMES(929), //没有免费机会了
    NOT_SIGNED_ANCHOR(950), //不是签约主播
    ALREADY_GET_REWARD(951), //已经领取过任务奖励,不能重复领取
    ACTIVITY_NOTHING_CHANGED(959),//什么内容都没改就再次提交活动修改
    ACTIVITY_CREATE_TIME_REPEAT(960), //新创建的活动与之前活动时间存在重叠,
    NO_ARROW_DIAMOND_EXCHANGE_TIME(964), //当前时间不允许钻石兑换金币
    ADD_THEME_TIME_LIMIT(966), //添加主题时间限制
    COIN_CONSUME_TOO_MUCH_TODAY(1000), //今日金币消耗已达上限
    GAME_PLAY_CONFLICT(3001), //添加主题时间限制
    ANCHOR_MESSAGE_REPLIED(3005), //主播消息已经回复过,不能重复回复
    DEVICE_OTHER_ANCHOR_INUSE(3006), //用户当前使用的设备也有其他主播正在使用,用户回复主播邀请时返回
    ALREADY_ANCHOR(3007), //当前已经是主播身份,用户回复主播邀请时返回
    LOGIN_WITH_INVALID_DEVICE_ID(3010), //用户登录注册请求中,设备ID不合法.限制登录
    LOGIN_WITH_VIRTUAL_APK(3011), //禁止使用多开软件登录
    CANT_EXCHANGE_GOOD_ID(3012), //用户不能兑换指定长度的靓号ID
    ACTIVITY_NOT_START(3036),//活动未开始
    ACTIVITY_CANNOT_START_AS_NO_CP_GROUP(3037),//活动不能开始,因为CP未成对
    ACTIVITY_CANNOT_START_AS_CP_NOT_SIGNUP(3038),//活动不能开始,因为麦上存在未报名活动的CP
    ROOM_MIC_ONLY_PERMIT_INVITE(3041),//房间只允许邀请上麦
    ROOM_TEXT_ONLY_OPEN_FOR_ADMIN_AND_MIC_USER(3044),//公屏只对麦上用户以及房间管理员开放
    NO_RANKING(3047),//用户活动没有上榜
    INVISIABLE_FORBIDDEN(3051),//房间内隐身用户不能做该操作
    FUNCTION_LIMIT_FOR_SENSITIVE_WORD(3060),//单天敏感词命中太多次,功能被封禁
    PK_ACCEPTED(3071),//PK已经被接受了
    PK_OVER(3072),//PK已经结束
    IN_PKING(3073),//你当前正在PK中
    NOT_IN_MATCHING_CANT_CANCEL(3074),//PK不在匹配中,不能取消
    CANT_INVITE_PKING(3075),//邀请的用户正在PK中
    PK_INVITE_LIMIT(3076),//拒绝太多,邀请受限
    SEND_CHATGPT_MSG_FAILED(3080),//发送chatGpt请求失败
    HAS_INCOMPLETE_CHATGPT_MSG(3081),//存在未完成的chatGpt请求
    SEND_CHAT_AI_MSG_LIMIT(3082),//用户当日额度受限
    ON_MIC_APPLY_REJECT_TOO_MUCH(4005),//上麦请求被拒绝太多次
    OP_FAIL_SHOULD_REFRESH_LIST(4009),//操作失败，请刷新列表重试
    CANNOT_CLOSE_GAME_CREATOR_IN_ROOM(4045),//创建者在房，无法关闭游戏
    LEVEL_NOT_ENOUGH_VIP_ENTER_ROOM_FORBID(4029),//20级以上可以进入VIP服务房
    CUSTOM_THEME_MODIFY_LIMIT(4050),//自定义背景修改次数不足
    RESCODE_CP_PROTECT_VAL_NOT_ENOUGH(4083), //cp守护值不够
    LIMIT_TIME_GIFT_INVALID(10100), //限时礼物失效
    IS_NOT_FRIEND(4035), //和对方不是好友关系
    WAIT_TO_AGREE(4056), //等待好友同意
    RESCODE_CP_BY_RING_TIP(4086),//满足求婚条件的CP才可以购买戒指
    RESODE_CP_PROPOSAL_ING(4087), //正在求婚中或者未求婚
    MARRIAGE_EXPIRED(4088),//发出的结婚已过期
    EMAIL_UNREGISTER(4119),//邮箱未注册
    GENDER_UNAUTH(4123),//性别未认证
    CHARISAMA_LEVEL_NOT_ENOUGH(4124),//魅力等级不够
    GOOGLE_AUTHOR_FAILED(4500),//谷歌封禁地区授权
    GAME_IN_PROGRESS(4061), //存在进行中的游戏
    ID_IS_FROZEN(4602), //ID已被冻结
    ID_NOT_OPEN(4603), //ID未开放
    GAME_COIN_NOT_ENOUGH(4209), //游戏币不足

    CANNOT_KICK_OUT_ANITKICK(5719),//不能踢具有防踢权限的用户（比如SVIP）
    CANNOT_MUTE_ANITKICK(5720) //不能禁言具有防禁言权限的用户（比如SVIP）
    ;
}